---
merged:
  before:
    - name: Loopback888
    - name: Loopback999
    - name: GigabitEthernet1
    - name: GigabitEthernet2
    - name: GigabitEthernet3
    - name: GigabitEthernet4
  commands:
    - interface GigabitEthernet2
    - ip ospf 10 area 30
    - ip ospf adjacency stagger disable
    - ip ospf bfd
    - ip ospf cost 5
    - ip ospf dead-interval 5
    - ip ospf demand-circuit ignore
    - ip ospf network broadcast
    - ip ospf priority 25
    - ip ospf resync-timeout 10
    - ip ospf shutdown
    - ip ospf ttl-security hops 50
    - ipv6 ospf adjacency stagger disable
    - ipv6 ospf database-filter all out
    - ipv6 ospf priority 55
    - ipv6 ospf transmit-delay 45
  after:
    - name: Loopback888
    - name: Loopback999
    - name: GigabitEthernet1
    - address_family:
        - adjacency: true
          afi: ipv4
          bfd: true
          cost:
            interface_cost: 5
          dead_interval:
            time: 5
          demand_circuit:
            enable: true
            ignore: true
          network:
            broadcast: true
          priority: 25
          process:
            area_id: "30"
            id: 10
          resync_timeout: 10
          shutdown: true
          ttl_security:
            hops: 50
            set: true
        - adjacency: true
          afi: ipv6
          database_filter: true
          priority: 55
          transmit_delay: 45
      name: GigabitEthernet2
    - name: GigabitEthernet3
    - name: GigabitEthernet4

replaced:
  before:
    - name: Loopback888
    - name: Loopback999
    - name: GigabitEthernet1
    - address_family:
        - adjacency: true
          afi: ipv4
          bfd: true
          cost:
            interface_cost: 5
          dead_interval:
            time: 5
          demand_circuit:
            enable: true
            ignore: true
          network:
            broadcast: true
          priority: 25
          process:
            area_id: "30"
            id: 10
          resync_timeout: 10
          shutdown: true
          ttl_security:
            hops: 50
            set: true
        - adjacency: true
          afi: ipv6
          database_filter: true
          priority: 55
          transmit_delay: 45
      name: GigabitEthernet2
    - name: GigabitEthernet3
    - name: GigabitEthernet4
  commands:
    - interface GigabitEthernet3
    - ipv6 ospf adjacency stagger disable
    - ipv6 ospf priority 20
    - ipv6 ospf transmit-delay 30
  after:
    - name: Loopback888
    - name: Loopback999
    - name: GigabitEthernet1
    - address_family:
        - adjacency: true
          afi: ipv4
          bfd: true
          cost:
            interface_cost: 5
          dead_interval:
            time: 5
          demand_circuit:
            enable: true
            ignore: true
          network:
            broadcast: true
          priority: 25
          process:
            area_id: "30"
            id: 10
          resync_timeout: 10
          shutdown: true
          ttl_security:
            hops: 50
            set: true
        - adjacency: true
          afi: ipv6
          database_filter: true
          priority: 55
          transmit_delay: 45
      name: GigabitEthernet2
    - address_family:
        - adjacency: true
          afi: ipv6
          priority: 20
          transmit_delay: 30
      name: GigabitEthernet3
    - name: GigabitEthernet4

overridden:
  commands:
    - interface GigabitEthernet2
    - no ip ospf 10 area 30
    - no ip ospf adjacency stagger disable
    - no ip ospf bfd
    - no ip ospf cost 5
    - no ip ospf dead-interval 5
    - no ip ospf demand-circuit ignore
    - no ip ospf network broadcast
    - no ip ospf priority 25
    - no ip ospf resync-timeout 10
    - no ip ospf shutdown
    - no ip ospf ttl-security hops 50
    - no ipv6 ospf database-filter all out
    - ipv6 ospf priority 20
    - ipv6 ospf transmit-delay 30
    - interface GigabitEthernet3
    - ip ospf 10 area 20
    - ip ospf adjacency stagger disable
    - ip ospf cost 30
    - ip ospf priority 40
    - ip ospf ttl-security hops 50
  after:
    - name: Loopback888
    - name: Loopback999
    - name: GigabitEthernet1
    - address_family:
        - adjacency: true
          afi: ipv6
          priority: 20
          transmit_delay: 30
      name: GigabitEthernet2
    - address_family:
        - adjacency: true
          afi: ipv4
          cost:
            interface_cost: 30
          priority: 40
          process:
            area_id: "20"
            id: 10
          ttl_security:
            hops: 50
            set: true
      name: GigabitEthernet3
    - name: GigabitEthernet4

deleted:
  commands:
    - interface GigabitEthernet2
    - no ip ospf 10 area 30
    - no ip ospf adjacency stagger disable
    - no ip ospf bfd
    - no ip ospf cost 5
    - no ip ospf dead-interval 5
    - no ip ospf demand-circuit ignore
    - no ip ospf network broadcast
    - no ip ospf priority 25
    - no ip ospf resync-timeout 10
    - no ip ospf shutdown
    - no ip ospf ttl-security hops 50
    - no ipv6 ospf adjacency stagger disable
    - no ipv6 ospf database-filter all out
    - no ipv6 ospf priority 55
    - no ipv6 ospf transmit-delay 45
  after: {}

gathered:
  config:
    - name: Loopback888
    - name: Loopback999
    - name: GigabitEthernet1
    - address_family:
        - adjacency: true
          afi: ipv4
          bfd: true
          cost:
            interface_cost: 5
          dead_interval:
            time: 5
          demand_circuit:
            enable: true
            ignore: true
          network:
            broadcast: true
          priority: 25
          process:
            area_id: "30"
            id: 10
          resync_timeout: 10
          shutdown: true
          ttl_security:
            hops: 50
            set: true
        - adjacency: true
          afi: ipv6
          database_filter: true
          priority: 55
          transmit_delay: 45
      name: GigabitEthernet2
    - name: GigabitEthernet3
    - name: GigabitEthernet4

rtt:
  commands:
    - interface GigabitEthernet3
    - no ip ospf 10 area 20
    - no ip ospf adjacency stagger disable
    - no ip ospf cost 30
    - no ip ospf priority 40
    - no ip ospf ttl-security hops 50
    - interface GigabitEthernet2
    - ip ospf 10 area 30
    - ip ospf adjacency stagger disable
    - ip ospf bfd
    - ip ospf cost 5
    - ip ospf dead-interval 5
    - ip ospf demand-circuit ignore
    - ip ospf network broadcast
    - ip ospf priority 25
    - ip ospf resync-timeout 10
    - ip ospf shutdown
    - ip ospf ttl-security hops 50
    - ipv6 ospf database-filter all out
    - ipv6 ospf priority 55
    - ipv6 ospf transmit-delay 45

parsed:
  config:
    - name: Loopback888
    - name: Loopback999
    - name: GigabitEthernet1
    - address_family:
        - adjacency: true
          afi: ipv4
          authentication:
            message_digest: true
          bfd: true
          cost:
            interface_cost: 5
          dead_interval:
            time: 5
          demand_circuit:
            enable: true
            ignore: true
          network:
            broadcast: true
          priority: 25
          process:
            area_id: "30"
            id: 10
          resync_timeout: 10
          shutdown: true
          ttl_security:
            hops: 50
            set: true
        - adjacency: true
          afi: ipv6
          database_filter: true
          manet:
            link_metrics:
              cost_threshold: 10
          priority: 55
          transmit_delay: 45
      name: GigabitEthernet2
    - name: GigabitEthernet3

rendered:
  commands:
    - interface GigabitEthernet2
    - ip ospf 10 area 30
    - ip ospf adjacency stagger disable
    - ip ospf bfd
    - ip ospf cost 5
    - ip ospf dead-interval 5
    - ip ospf demand-circuit ignore
    - ip ospf network broadcast
    - ip ospf priority 25
    - ip ospf resync-timeout 10
    - ip ospf shutdown
    - ip ospf ttl-security hops 50
    - ipv6 ospf adjacency stagger disable
    - ipv6 ospf database-filter all out
    - ipv6 ospf priority 55
    - ipv6 ospf transmit-delay 45
